| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# igraphic/imageio.h File Reference

Image input/output interface. More...

`#include "csutil/scf.h"`
`#include "csutil/array.h"`

Go to the source code of this file.

## Classes
struct | csImageIOFileFormatDescription
| Description for a file format supported by an image loader. More...
struct | iImageIO
| The iImageIO interface is used to save and load graphic files. More...
## Defines
#define | CS_IMAGEIO_LOAD 1
#define | CS_IMAGEIO_SAVE 2
## Typedefs
typedef csArray< csImageIOFileFormatDescription const * > | csImageIOFileFormatDescriptions
| Description for the array of file formats.

## Detailed Description

Image input/output interface.

Definition in file imageio.h.